import { jsx as t, Fragment as n } from "react/jsx-runtime";
import { Avatar as o } from "./index-Avatar.js";
import "react";
const l = (e) => {
  const {
    icons: r
  } = e;
  return t(n, {
    children: r == null ? void 0 : r.map((a) => t("span", {
      style: {
        display: "none"
      },
      children: t(o, {
        icon: a
      })
    }, a))
  });
};
export {
  l as AvatarPreload
};
